﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Verse;
using RimWorld;

namespace Immortals
{
    class Immortal_Hediff : Hediff
    {
        public override void Notify_PawnDied()
        {
            Immortal_Component immortalComponent = Current.Game.GetComponent<Immortal_Component>();
            if (immortalComponent != null)
            {
                if (immortalComponent.loaded)
                    immortalComponent.AddDeadImmortal(pawn);
            }
        }
    }
}
